package com.gic.finance.web.vo;

import java.io.Serializable;
import java.util.Date;

import com.gic.finance.constant.WithdrawalApplyTypeEnum;
import com.gic.finance.constant.WithdrawalStatusEnum;
import com.gic.finance.web.utils.DateUtils;

/**
 * 提现管理详情
 * @ClassName: CashWithdrawalListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/30 10:41 AM 
 */
public class CashWithdrawalDetailVO implements Serializable{

    private static final long serialVersionUID = 1601094826663117214L;
    /**
     *
     */
    private Integer cashWithdrawalId;

    /**
     * 申请单流水号
     */
    private String cashWithdrawalSerialNumber;

    /**
     * 申请方类型 1:服务商 2:供应商
     */
    private Integer applyType;

    private String applyTypeStr;

    /**
     * 提现金额
     */
    private Double cashWithdrawalAmount;

    /**
     * 提现状态 1:待审核 2:审核通过 3:已完成 4:已取消 5:已驳回
     */
    private Integer cashWithdrawalStatus;

    private String cashWithdrawalStatusStr;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 操作人姓名
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private Date operatorTime;

    /**
     * 操作人手机号码
     */
    private String operatorPhone;

    /**
     * 操作人手机号国际区号
     */
    private String operatorPhoneAreaCode;

    /**
     * 收款开户名称
     */
    private String receiptName;

    /**
     * 收款支行名称
     */
    private String receiptBranchName;

    /**
     * 收款开户行
     */
    private String receiptBank;

    /**
     * 收款银行账号
     */
    private String receiptBankAccount;

    /**
     * 打款户开户名称
     */
    private String payAccountName;

    /**
     * 打款户支行名称
     */
    private String payAccountBranchName;

    /**
     * 打款户开户行
     */
    private String payAccountBank;

    /**
     * 打款户银行账号
     */
    private String payAccount;

    /**
     * 物流公司
     */
    private String expressMailName;

    /**
     * 发票物流号
     */
    private String expressMailNumber;

    /**
     *
     */
    private Date createTime;

    /**
     * 银行转账流水号
     */
    private String bankSerialNumber;

    public Integer getCashWithdrawalId() {
        return cashWithdrawalId;
    }

    public void setCashWithdrawalId(Integer cashWithdrawalId) {
        this.cashWithdrawalId = cashWithdrawalId;
    }

    public String getCashWithdrawalSerialNumber() {
        return cashWithdrawalSerialNumber;
    }

    public void setCashWithdrawalSerialNumber(String cashWithdrawalSerialNumber) {
        this.cashWithdrawalSerialNumber = cashWithdrawalSerialNumber;
    }

    public void setApplyType(Integer applyType) {
        this.applyType = applyType;
    }

    public String getApplyTypeStr() {
        return WithdrawalApplyTypeEnum.getMessageByCode(applyType);
    }

    public Double getCashWithdrawalAmount() {
        return cashWithdrawalAmount;
    }

    public void setCashWithdrawalAmount(Double cashWithdrawalAmount) {
        this.cashWithdrawalAmount = cashWithdrawalAmount;
    }

    public Integer getCashWithdrawalStatus() {
        return cashWithdrawalStatus;
    }

    public void setCashWithdrawalStatus(Integer cashWithdrawalStatus) {
        this.cashWithdrawalStatus = cashWithdrawalStatus;
    }

    public String getCashWithdrawalStatusStr() {
        return WithdrawalStatusEnum.getMessageByCode(cashWithdrawalStatus);
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Long getOperatorTime() {
        return DateUtils.dateToLong(operatorTime);
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public String getReceiptName() {
        return receiptName;
    }

    public void setReceiptName(String receiptName) {
        this.receiptName = receiptName;
    }

    public String getReceiptBranchName() {
        return receiptBranchName;
    }

    public void setReceiptBranchName(String receiptBranchName) {
        this.receiptBranchName = receiptBranchName;
    }

    public String getReceiptBank() {
        return receiptBank;
    }

    public void setReceiptBank(String receiptBank) {
        this.receiptBank = receiptBank;
    }

    public String getReceiptBankAccount() {
        return receiptBankAccount;
    }

    public void setReceiptBankAccount(String receiptBankAccount) {
        this.receiptBankAccount = receiptBankAccount;
    }

    public String getPayAccountName() {
        return payAccountName;
    }

    public void setPayAccountName(String payAccountName) {
        this.payAccountName = payAccountName;
    }

    public String getPayAccountBranchName() {
        return payAccountBranchName;
    }

    public void setPayAccountBranchName(String payAccountBranchName) {
        this.payAccountBranchName = payAccountBranchName;
    }

    public String getPayAccountBank() {
        return payAccountBank;
    }

    public void setPayAccountBank(String payAccountBank) {
        this.payAccountBank = payAccountBank;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getExpressMailName() {
        return expressMailName;
    }

    public void setExpressMailName(String expressMailName) {
        this.expressMailName = expressMailName;
    }

    public String getExpressMailNumber() {
        return expressMailNumber;
    }

    public void setExpressMailNumber(String expressMailNumber) {
        this.expressMailNumber = expressMailNumber;
    }

    public Long getCreateTime() {
        return DateUtils.dateToLong(createTime);
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getOperatorPhoneAreaCode() {
        return operatorPhoneAreaCode;
    }

    public void setOperatorPhoneAreaCode(String operatorPhoneAreaCode) {
        this.operatorPhoneAreaCode = operatorPhoneAreaCode;
    }

    public String getBankSerialNumber() {
        return bankSerialNumber;
    }

    public void setBankSerialNumber(String bankSerialNumber) {
        this.bankSerialNumber = bankSerialNumber;
    }
}
